@font-face {
    font-family: 'Brandon Grotesque regular';
    src: url('/fonts/Brandon_reg.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Brandon Grotesque bold';
    src: url('/fonts/Brandon_bld.otf') format('opentype');
    font-weight: bold;
    font-style: normal;
}


html {
    box-sizing: border-box;
    padding: 0;
}

*,
*::before,
*::after {
    box-sizing: inherit;
}

.header {
    display: flex;
    justify-content: center;
    padding: 16px 0;
    background-color: #fff;
}

.header__img {
    width: 350px;
    height: auto;
}

.main {
    position: relative;
    background-color: #0C2242;
    background-image: url('/img/kartka_2025/las11-mobile-1.svg'), url('/img/kartka_2025/tlo_-1.svg');
    background-position: 50% 100%, 50% 0%;
    background-repeat: no-repeat, no-repeat;
    background-size: 100% auto, cover;
    overflow: hidden;
}

@media screen and (min-width: 800px) {
    .main {
        background-image: url('/img/kartka_2025/las11-1.svg'), url('/img/kartka_2025/tlo_-2.svg');
    }
}

@media screen and (min-width: 1800px) {
    .main {
        min-height: 190vh;
    }
}

@media screen and (orientation: portrait) {
    .main {
        min-height: 80vh;
    }
}

main.animation {
    animation: slideFromBottom 2s ease-out 1s forwards;
}

@media screen and (min-width: 1200px) {
    main.animation {
        animation: slideFromBottomDesktop 5s ease-out 1s forwards;
    }
}

@keyframes slideFromBottom {
    from {
        background-position: 50% 150%, 50% 0%;
    }

    to {
        background-position: 50% 110%, 50% 0%;
    }
}

@keyframes slideFromBottomDesktop {
    from {
        background-position: 50% 300%, 50% 0%;
    }

    to {
        background-position: 50% 100%, 50% 0%;
    }
}

.l-s33 {
    position: absolute;
    top: -15px;
    left: -15px;
    z-index: 1;
    width: 61px;
    height: auto;
}

@media screen and (min-width: 800px) {
    .l-s33 {
        width: 71px;
    }
}

@media screen and (min-width: 1000px) {
    .l-s33 {
        width: 119px;
        top: -35px;
        left: -35px;
    }
}

.l-s22 {
    position: absolute;
    top: 80px;
    left: 15px;
    z-index: 1;
    width: 30px;
    height: auto;
}

@media screen and (min-width: 800px) {
    .l-s22 {
        width: 51px;
        top: 190px;
        left: 60px;
    }
}

@media screen and (min-width: 1000px) {
    .l-s22 {
        left: 130px;
    }
}

.s-s22 {
    position: absolute;
    top: 215px;
    left: 80px;
    z-index: 1;
    width: 21px;
    height: auto;
}

@media screen and (min-width: 800px) {
    .s-s22 {
        width: 24px;
        top: 400px;
        left: 250px;
    }
}

@media screen and (min-width: 1000px) {
    .s-s22 {
        left: 300px;
    }
}

.l-s44 {
    position: absolute;
    top: 20px;
    right: -15px;
    z-index: 1;
    width: 51px;
    height: auto;
}

.s-s44 {
    position: absolute;
    top: 200px;
    right: 10px;
    z-index: 1;
    width: 44px;
    height: auto;
}

@media screen and (min-width: 800px) {
    .s-s44 {
        right: 30px;
    }
}

@media screen and (min-width: 1000px) {
    .s-s44 {
        right: 90px;
    }
}

.top {
    padding: 32px 0 0 0;
}

.text-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 15px;
    padding: 20px 20px 40px 20px;
}

@media screen and (min-width: 800px) {
    .text-container {
        gap: 20px;
    }
}

.txt-big {
    max-width: 70%;
    margin: 10px 10px 10px 10px;
    color: #fff;
    font-family: "Brandon Grotesque regular", sans-serif;
    font-size: 19px;
    text-align: center;
}

@media screen and (min-width: 800px) {
    .txt-big {
        font-size: 26px;
    }
}

@media screen and (min-width: 1000px) {
    .txt-big {
        font-size: 36px;
    }
}

.txt-small {
    max-width: 80%;
    color: #fff;
    font-family: "Brandon Grotesque regular", sans-serif;
    font-size: 14px;
    text-align: center;
}

@media screen and (min-width: 800px) {
    .txt-small {
        max-width: 60%;
        font-size: 18px;
    }
}

.middle {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.video-container {
    display: none;
    justify-content: center;
    align-items: center;
    padding-bottom: 550px;
    position: relative;
    z-index: 100;
}

@media screen and (min-width: 800px) {
    .video-container {
        padding-bottom: 200px;
        display: flex;
    }
}

@media screen and (min-width: 1800px) {
    .video-container {
        padding-bottom: 450px;
    }
}

@media screen and (min-width: 1400px) and (max-height: 900px) {
    .video-container {
        padding-bottom: 400px;
    }
}

@media screen and (min-width: 1900px) {
    .video-container {
        padding-bottom: 500px;
    }
}

@media screen and (orientation: portrait) {
    .video-container {
        padding-bottom: 200px;
    }
}

.video-mobile {
    display: flex;
    justify-content: center;
    padding-bottom: 150px;
    z-index: 100;
}

@media screen and (min-width: 600px) {
    .video-mobile {
        padding-bottom: 400px;
    }
}

@media screen and (min-width: 800px) {
    .video-mobile {
        display: none;
    }
}

.player {
    aspect-ratio: 16 / 9;
    width: 100%;
    max-width: 889px;
    max-height: 500px;
    border: 10px solid #2d509f;
    object-fit: cover;
}

@media screen and (min-width: 600px) {
    .player {
        width: 60%;
        border: 20px solid #2d509f;
    }
}

.cta {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 0px 20px 40px 20px;
    align-items: center;
    position: relative;
    top: -80px;
    z-index: 100;
}

@media screen and (min-width: 1200px) {
    .cta {
        top: -350px;
    }
}

@media screen and (min-width: 1500px) {
    .cta {
        padding: 115px 20px 40px 20px;
    }
}

.cta__text {
    color: #06192E;
    font-family: "Brandon Grotesque bold", sans-serif;
    font-weight: bold;
    font-size: 14px;
    text-align: center;
    margin-bottom: 20px;
    line-height: 18px;
}

@media screen and (min-width: 1000px) {
    .cta__text {
        font-size: 22px;
        line-height: 24px;
    }
}

.cta__button {
    padding: 15px 30px;
    color: #fff;
    background-color: #2d509f;
    font-family: "Brandon Grotesque bold", sans-serif;
    font-weight: bold;
    border-radius: 14.7541px;
    font-size: 22px;
    font-weight: bold;
    cursor: pointer;
    border: none;
}

@media screen and (min-width: 800px) {
    .cta__button {
        padding: 25px 60px;
        font-size: 28px;
    }
}

footer {
    width: 100%;
    height: 70px;
    background-color: #0C2242;
}

.snow_wrap {
    /* height: 100vh; */
    width: 100%;
    /* background: url("bg.jpg"); */
    background-size: cover;
    background-position: center bottom;
    position: relative;
    overflow: hidden;
}

.snow,
.snow:after,
.snow::before {
    content: '';
    position: absolute;
    top: -650px;
    right: 0;
    bottom: 0;
    left: 0;
    background-image: radial-gradient(4px 4px at 100px 50px, #fff, transparent),
        radial-gradient(6px 6px at 200px 150px, #fff, transparent),
        radial-gradient(3px 3px at 300px 250px, #fff, transparent),
        radial-gradient(4px 4px at 400px 350px, #fff, transparent),
        radial-gradient(6px 6px at 500px 100px, #fff, transparent),
        radial-gradient(3px 3px at 50px 200px, #fff, transparent),
        radial-gradient(4px 4px at 150px 300px, #fff, transparent),
        radial-gradient(6px 6px at 250px 400px, #fff, transparent),
        radial-gradient(3px 3px at 350px 500px, #fff, transparent),
        radial-gradient(4px 4px at 550px 550px, #fff, transparent);
    background-size: 650px 650px;
    animation: SnowAnim 6s linear 4s infinite;
}

.snow:after {
    margin-left: -250px;
    opacity: 0.5;
    filter: blur(2px);
    animation-direction: reverse;
    animation-duration: 6s;
}

.snow::before {
    margin-left: -350px;
    opacity: 0.7;
    filter: blur(1px);
    animation-direction: reverse;
    animation-duration: 9s;
}

@keyframes SnowAnim {
    from {
        transform: translateY(0);
    }

    to {
        transform: translateY(650px);
    }
}

.steps-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
    padding: 8px 16px;
    border-radius: 5px;
}

.steps {
    padding: 0;
    list-style-position: inside;
}

.step {
    color: white;
    font-family: "Brandon Grotesque regular", sans-serif;
    font-size: 16px;
}

.ready-txt {
    margin: 16px 0 0 0;
    color: white;
    font-family: "Brandon Grotesque regular", sans-serif;
    font-size: 16px;
}

.code-background {
    padding: 32px 32px;
    margin-bottom: 250px;
    color: #fff;
    background-color: #2d509f;
    font-family: "Brandon Grotesque bold", sans-serif;
    font-size: 16px;
    font-weight: bold;
    border-radius: 5px;
}

@media screen and (min-width: 800px) {
    .code-background {
        font-size: 24px;
        padding: 48px 48px;
    }
}

@media screen and (min-width: 800px) {
    .code-background {
        margin-bottom: 300px;
    }
}

@media screen and (min-width: 1200px) {
    .code-background {
        margin-bottom: 900px;
    }
}

.coupon-mobile {
    display: flex;
    justify-content: center;
    padding-bottom: 0px;
}

@media screen and (min-width: 600px) {
    .coupon-mobile {
        padding-bottom: 400px;
    }
}

@media screen and (min-width: 800px) {
    .coupon-mobile {
        display: none;
    }
}

.main--coupon {
    background-position: 50% 230%, 50% 0%;
}

@media screen and (min-width: 800px) {
    .main--coupon {
        background-position: 50% 130%, 50% 0%;
    }
}

.link {
    color: #fff;
    text-decoration: underline;
    font-weight: bold;
}